Bug 1350184

Summary: GNOME 3.20 switches to TTY1 some time after logging in due to crash of login screen
Product: [Fedora] Fedora Reporter: Rok Mandeljc <rok.mandeljc>
Component: gnome-shellAssignee: Owen Taylor <otaylor>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: a_idm, fmuellner, jeremy9856, joe, jwilliams, mike, mike_parlett, otaylor, rdieter, terjeros, wdh, yurg27
Target Milestone: ---Keywords: Patch
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-07-25 21:35:55 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Rok Mandeljc 2016-06-26 11:01:36 UTC
Description of problem:

On my installation of Fedora 24 with NVIDIA binary drivers 367.27, some (random?) time after logging into GNOME session, the display gets switched back to TTY1, and I am faced with the console where the login screen used to be. Ctrl+Alt+2 brings the session back and I can resume whatever I was doing.

Wayland is disabled in GDM (i.e., I have uncommented the line WaylandEnable=false in /etc/gdm/custom.conf).


Version-Release number of selected component (if applicable):
gnome-shell-3.20.2-1
nvidia-driver-367.27-2 (from negativo17 repository)


How reproducible: always


Steps to Reproduce:
1. log in
2. wait some time / do something
3. display gets switched back to TTY1, where login screen used to be
(4. switch back to TTY2 and continue working)


Additional info:
Dmesg indicates a crash in gnome-shell:
[  331.438862] traps: gnome-shell[1373] trap int3 ip:7ff38bae919b sp:7ffd5ffaca90 error:0

It seems that the same issue has come up in Arch linux:
https://bbs.archlinux.org/viewtopic.php?id=211100
https://bugs.archlinux.org/task/48772

Applying their patch to gnome-shell fixes the issue for me:
https://git.archlinux.org/svntogit/packages.git/tree/trunk/0001-Initialize-framebuffer-objects-early-so-clutter-will.patch?h=packages/gnome-shell

Comment 1 W. de Heiden 2016-06-28 11:29:47 UTC
Confirmed for me as well;

sudo journalctl -l -p err will show:

jun 28 10:55:17 laptop.example.com abrt-hook-ccpp[3561]: Process 2142 (gnome-shell) of user 42 killed by SIGTRAP - dumping core
jun 28 10:55:18 laptop.example.com gnome-session-binary[2120]: Unrecoverable failure in required component org.gnome.Shell.desktop
jun 28 10:55:19 laptop.example.com gnome-session-binary[2120]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
jun 28 10:55:19 laptop.example.com gnome-session-binary[2120]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
jun 28 10:55:19 laptop.example.com gnome-session-binary[2120]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
jun 28 10:55:19 laptop.example.com gnome-session-binary[2120]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed

Using Fedora 24 (x86_64) upgrade from Fedora 23, using nvidia.

Comment 2 jeremy9856 2016-06-28 12:29:32 UTC
I, like you and others, have the problem too on Fedora 24 up to date.

http://forums.fedoraforum.org/showthread.php?p=1764275
http://forums.fedoraforum.org/showthread.php?p=1764805

Can the fix be included in Fedora 24 Gnome please ?

https://bugzilla.redhat.com/show_bug.cgi?id=1350184
https://github.com/GNOME/gnome-shell/commit/5226d8b0864fa894f180b8584e837aaf565578b2

Thanks !

Comment 3 jeremy9856 2016-06-28 13:07:14 UTC
Oops I wanted to link this https://bugzilla.gnome.org/show_bug.cgi?id=764898 instead of this bug report.

As you can see there the fix should have already be included in Gnome-Shell 3.20. The Fedora 24 version of Gnome-Shell seem to be too old.

Comment 4 jeremy9856 2016-06-28 13:38:09 UTC
It seem that there will be a stable Gnome-Shell, Mutter release today or tomorrow with the fix !

https://bugzilla.gnome.org/show_bug.cgi?id=764898#c8

Comment 5 Terje Røsten 2016-06-28 18:09:54 UTC
KDE5 crashes *without* nvidia drivers. 

It's a bit impractical on shared desktops as some users prefer KDE5 and others GNOME.

Comment 6 Fedora Update System 2016-06-29 00:04:03 UTC
mutter-3.20.3-1.fc24 gnome-shell-3.20.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fb66c6e22c

Comment 7 Fedora Update System 2016-06-29 22:55:55 UTC
gnome-shell-3.20.3-1.fc24, mutter-3.20.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fb66c6e22c

Comment 8 Terje Røsten 2016-06-30 11:01:00 UTC
Update fixes crash seen, thanks!

Comment 9 MikeP 2016-06-30 20:07:25 UTC
Fixes applied to FC24 x64 + GTX 750 Ti Native Driver

All Stable now. Thanks

Comment 10 Fedora Update System 2016-06-30 21:23:08 UTC
gnome-shell-3.20.3-1.fc24, mutter-3.20.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Florian Müllner 2016-07-01 18:11:42 UTC
*** Bug 1342739 has been marked as a duplicate of this bug. ***

Comment 12 Fedora End Of Life 2017-07-25 21:19:14 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.